test-framework-0.8.1.1: Framework for running and organising tests, with HUnit and QuickCheck support

Safe Haskell | None
Language | Haskell98

Test.Framework.Runners.Options

# Documentation

data ColorMode #

Constructors

ColorAuto |
ColorNever |
ColorAlways |

type RunnerOptions = RunnerOptions' Maybe #

type CompleteRunnerOptions = RunnerOptions' K #

data RunnerOptions' f #

Constructors

RunnerOptions |
Fields ropt_threads :: f Int ropt_test_options :: f TestOptions ropt_test_patterns :: f [TestPattern] ropt_xml_output :: f (Maybe FilePath) ropt_xml_nested :: f Bool ropt_color_mode :: f ColorMode ropt_hide_successes :: f Bool ropt_list_only :: f Bool

Instances

Monoid (RunnerOptions' Maybe) # |
Methods mempty :: RunnerOptions' Maybe # mappend :: RunnerOptions' Maybe -> RunnerOptions' Maybe -> RunnerOptions' Maybe # mconcat :: [RunnerOptions' Maybe] -> RunnerOptions' Maybe #

data TestPattern #

Instances

Read TestPattern # |
Methods readsPrec :: Int -> ReadS TestPattern # readList :: ReadS [TestPattern] # readPrec :: ReadPrec TestPattern # readListPrec :: ReadPrec [TestPattern] #